• Home
  • Line#
  • Scopes#
  • Navigate#
  • Raw
  • Download
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91@ENABLE_STATIC_LINK_TEST_TRUE@am__append_1 = test-static-link
92noinst_PROGRAMS = $(am__EXEEXT_2) $(am__EXEEXT_4)
93@ENABLE_RUNTIME_TESTS_TRUE@am__append_2 = $(run_tests)
94@ENABLE_RUNTIME_TESTS_TRUE@TESTS = $(am__EXEEXT_3)
95
96# include builddir for event-names.h
97@ENABLE_RUNTIME_TESTS_TRUE@am__append_3 = $(CHECK_CFLAGS) $(GCOV_CFLAGS)
98@ENABLE_RUNTIME_TESTS_TRUE@am__append_4 = $(GCOV_LDFLAGS)
99@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@am__append_5 = valgrind
100@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@am__append_6 = gcov
101@ENABLE_STATIC_SYMBOL_LEAKS_TEST_TRUE@am__append_7 = static-symbol-leaks
102subdir = test
103ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
104am__aclocal_m4_deps = $(top_srcdir)/m4/attributes.m4 \
105	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
106	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
107	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
108am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
109	$(ACLOCAL_M4)
110DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
111mkinstalldirs = $(install_sh) -d
112CONFIG_HEADER = $(top_builddir)/config.h
113CONFIG_CLEAN_FILES =
114CONFIG_CLEAN_VPATH_FILES =
115@ENABLE_STATIC_LINK_TEST_TRUE@am__EXEEXT_1 =  \
116@ENABLE_STATIC_LINK_TEST_TRUE@	test-static-link$(EXEEXT)
117am__EXEEXT_2 = test-compile-pedantic$(EXEEXT) test-link$(EXEEXT) \
118	$(am__EXEEXT_1)
119@ENABLE_RUNTIME_TESTS_TRUE@am__EXEEXT_3 = test-libevdev$(EXEEXT) \
120@ENABLE_RUNTIME_TESTS_TRUE@	test-kernel$(EXEEXT) \
121@ENABLE_RUNTIME_TESTS_TRUE@	test-uinput$(EXEEXT) \
122@ENABLE_RUNTIME_TESTS_TRUE@	test-event-codes$(EXEEXT) \
123@ENABLE_RUNTIME_TESTS_TRUE@	test-libevdev-internals$(EXEEXT)
124@ENABLE_RUNTIME_TESTS_TRUE@am__EXEEXT_4 = $(am__EXEEXT_3)
125PROGRAMS = $(noinst_PROGRAMS)
126am_test_compile_pedantic_OBJECTS =  \
127	test_compile_pedantic-test-compile-pedantic.$(OBJEXT)
128test_compile_pedantic_OBJECTS = $(am_test_compile_pedantic_OBJECTS)
129test_compile_pedantic_LDADD = $(LDADD)
130AM_V_lt = $(am__v_lt_@AM_V@)
131am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
132am__v_lt_0 = --silent
133am__v_lt_1 =
134test_compile_pedantic_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
135	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
136	$(test_compile_pedantic_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
137	$(LDFLAGS) -o $@
138am__test_event_codes_SOURCES_DIST = test-main.c test-event-codes.c \
139	test-event-names.c test-context.c test-common-uinput.c \
140	test-common-uinput.h test-common.c test-common.h
141@ENABLE_RUNTIME_TESTS_TRUE@am__objects_1 =  \
142@ENABLE_RUNTIME_TESTS_TRUE@	test-common-uinput.$(OBJEXT) \
143@ENABLE_RUNTIME_TESTS_TRUE@	test-common.$(OBJEXT)
144@ENABLE_RUNTIME_TESTS_TRUE@am_test_event_codes_OBJECTS =  \
145@ENABLE_RUNTIME_TESTS_TRUE@	test-main.$(OBJEXT) \
146@ENABLE_RUNTIME_TESTS_TRUE@	test-event-codes.$(OBJEXT) \
147@ENABLE_RUNTIME_TESTS_TRUE@	test-event-names.$(OBJEXT) \
148@ENABLE_RUNTIME_TESTS_TRUE@	test-context.$(OBJEXT) \
149@ENABLE_RUNTIME_TESTS_TRUE@	$(am__objects_1)
150test_event_codes_OBJECTS = $(am_test_event_codes_OBJECTS)
151am__DEPENDENCIES_1 =
152@ENABLE_RUNTIME_TESTS_TRUE@test_event_codes_DEPENDENCIES =  \
153@ENABLE_RUNTIME_TESTS_TRUE@	$(am__DEPENDENCIES_1) \
154@ENABLE_RUNTIME_TESTS_TRUE@	$(top_builddir)/libevdev/libevdev.la
155test_event_codes_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
156	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
157	$(AM_CFLAGS) $(CFLAGS) $(test_event_codes_LDFLAGS) $(LDFLAGS) \
158	-o $@
159am__test_kernel_SOURCES_DIST = test-main.c test-kernel.c \
160	test-common-uinput.c test-common-uinput.h test-common.c \
161	test-common.h
162@ENABLE_RUNTIME_TESTS_TRUE@am__objects_2 = test_kernel-test-common-uinput.$(OBJEXT) \
163@ENABLE_RUNTIME_TESTS_TRUE@	test_kernel-test-common.$(OBJEXT)
164@ENABLE_RUNTIME_TESTS_TRUE@am_test_kernel_OBJECTS =  \
165@ENABLE_RUNTIME_TESTS_TRUE@	test_kernel-test-main.$(OBJEXT) \
166@ENABLE_RUNTIME_TESTS_TRUE@	test_kernel-test-kernel.$(OBJEXT) \
167@ENABLE_RUNTIME_TESTS_TRUE@	$(am__objects_2)
168test_kernel_OBJECTS = $(am_test_kernel_OBJECTS)
169@ENABLE_RUNTIME_TESTS_TRUE@test_kernel_DEPENDENCIES =  \
170@ENABLE_RUNTIME_TESTS_TRUE@	$(am__DEPENDENCIES_1) \
171@ENABLE_RUNTIME_TESTS_TRUE@	$(top_builddir)/libevdev/libevdev.la
172test_kernel_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
173	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_kernel_CFLAGS) \
174	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
175am__test_libevdev_SOURCES_DIST = test-main.c test-libevdev-init.c \
176	test-libevdev-has-event.c test-libevdev-events.c \
177	test-common-uinput.c test-common-uinput.h test-common.c \
178	test-common.h
179@ENABLE_RUNTIME_TESTS_TRUE@am_test_libevdev_OBJECTS =  \
180@ENABLE_RUNTIME_TESTS_TRUE@	test-main.$(OBJEXT) \
181@ENABLE_RUNTIME_TESTS_TRUE@	test-libevdev-init.$(OBJEXT) \
182@ENABLE_RUNTIME_TESTS_TRUE@	test-libevdev-has-event.$(OBJEXT) \
183@ENABLE_RUNTIME_TESTS_TRUE@	test-libevdev-events.$(OBJEXT) \
184@ENABLE_RUNTIME_TESTS_TRUE@	$(am__objects_1)
185test_libevdev_OBJECTS = $(am_test_libevdev_OBJECTS)
186@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_DEPENDENCIES =  \
187@ENABLE_RUNTIME_TESTS_TRUE@	$(am__DEPENDENCIES_1) \
188@ENABLE_RUNTIME_TESTS_TRUE@	$(top_builddir)/libevdev/libevdev.la
189test_libevdev_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
190	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
191	$(test_libevdev_LDFLAGS) $(LDFLAGS) -o $@
192am__test_libevdev_internals_SOURCES_DIST = test-main.c \
193	test-int-queue.c test-common-uinput.c test-common-uinput.h \
194	test-common.c test-common.h
195@ENABLE_RUNTIME_TESTS_TRUE@am_test_libevdev_internals_OBJECTS =  \
196@ENABLE_RUNTIME_TESTS_TRUE@	test-main.$(OBJEXT) \
197@ENABLE_RUNTIME_TESTS_TRUE@	test-int-queue.$(OBJEXT) \
198@ENABLE_RUNTIME_TESTS_TRUE@	$(am__objects_1)
199test_libevdev_internals_OBJECTS =  \
200	$(am_test_libevdev_internals_OBJECTS)
201@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_internals_DEPENDENCIES =  \
202@ENABLE_RUNTIME_TESTS_TRUE@	$(am__DEPENDENCIES_1) \
203@ENABLE_RUNTIME_TESTS_TRUE@	$(top_builddir)/libevdev/libevdev.la
204test_libevdev_internals_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
205	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
206	$(AM_CFLAGS) $(CFLAGS) $(test_libevdev_internals_LDFLAGS) \
207	$(LDFLAGS) -o $@
208am_test_link_OBJECTS = test_link-test-link.$(OBJEXT)
209test_link_OBJECTS = $(am_test_link_OBJECTS)
210test_link_DEPENDENCIES = $(top_builddir)/libevdev/libevdev.la
211test_link_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_link_CFLAGS) \
213	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
214am_test_static_link_OBJECTS = test_static_link-test-link.$(OBJEXT)
215test_static_link_OBJECTS = $(am_test_static_link_OBJECTS)
216test_static_link_DEPENDENCIES = $(top_builddir)/libevdev/libevdev.la
217test_static_link_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
218	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
219	$(test_static_link_CFLAGS) $(CFLAGS) \
220	$(test_static_link_LDFLAGS) $(LDFLAGS) -o $@
221am__test_uinput_SOURCES_DIST = test-main.c test-uinput.c \
222	test-common-uinput.c test-common-uinput.h test-common.c \
223	test-common.h
224@ENABLE_RUNTIME_TESTS_TRUE@am_test_uinput_OBJECTS =  \
225@ENABLE_RUNTIME_TESTS_TRUE@	test-main.$(OBJEXT) \
226@ENABLE_RUNTIME_TESTS_TRUE@	test-uinput.$(OBJEXT) \
227@ENABLE_RUNTIME_TESTS_TRUE@	$(am__objects_1)
228test_uinput_OBJECTS = $(am_test_uinput_OBJECTS)
229@ENABLE_RUNTIME_TESTS_TRUE@test_uinput_DEPENDENCIES =  \
230@ENABLE_RUNTIME_TESTS_TRUE@	$(am__DEPENDENCIES_1) \
231@ENABLE_RUNTIME_TESTS_TRUE@	$(top_builddir)/libevdev/libevdev.la
232test_uinput_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
233	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
234	$(test_uinput_LDFLAGS) $(LDFLAGS) -o $@
235AM_V_P = $(am__v_P_@AM_V@)
236am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
237am__v_P_0 = false
238am__v_P_1 = :
239AM_V_GEN = $(am__v_GEN_@AM_V@)
240am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
241am__v_GEN_0 = @echo "  GEN     " $@;
242am__v_GEN_1 =
243AM_V_at = $(am__v_at_@AM_V@)
244am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
245am__v_at_0 = @
246am__v_at_1 =
247DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
248depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
249am__maybe_remake_depfiles = depfiles
250am__depfiles_remade = ./$(DEPDIR)/test-common-uinput.Po \
251	./$(DEPDIR)/test-common.Po ./$(DEPDIR)/test-context.Po \
252	./$(DEPDIR)/test-event-codes.Po \
253	./$(DEPDIR)/test-event-names.Po ./$(DEPDIR)/test-int-queue.Po \
254	./$(DEPDIR)/test-libevdev-events.Po \
255	./$(DEPDIR)/test-libevdev-has-event.Po \
256	./$(DEPDIR)/test-libevdev-init.Po ./$(DEPDIR)/test-main.Po \
257	./$(DEPDIR)/test-uinput.Po \
258	./$(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po \
259	./$(DEPDIR)/test_kernel-test-common-uinput.Po \
260	./$(DEPDIR)/test_kernel-test-common.Po \
261	./$(DEPDIR)/test_kernel-test-kernel.Po \
262	./$(DEPDIR)/test_kernel-test-main.Po \
263	./$(DEPDIR)/test_link-test-link.Po \
264	./$(DEPDIR)/test_static_link-test-link.Po
265am__mv = mv -f
266COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
267	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
268LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
269	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
270	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
271	$(AM_CFLAGS) $(CFLAGS)
272AM_V_CC = $(am__v_CC_@AM_V@)
273am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
274am__v_CC_0 = @echo "  CC      " $@;
275am__v_CC_1 =
276CCLD = $(CC)
277LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
278	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
279	$(AM_LDFLAGS) $(LDFLAGS) -o $@
280AM_V_CCLD = $(am__v_CCLD_@AM_V@)
281am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
282am__v_CCLD_0 = @echo "  CCLD    " $@;
283am__v_CCLD_1 =
284SOURCES = $(test_compile_pedantic_SOURCES) $(test_event_codes_SOURCES) \
285	$(test_kernel_SOURCES) $(test_libevdev_SOURCES) \
286	$(test_libevdev_internals_SOURCES) $(test_link_SOURCES) \
287	$(test_static_link_SOURCES) $(test_uinput_SOURCES)
288DIST_SOURCES = $(test_compile_pedantic_SOURCES) \
289	$(am__test_event_codes_SOURCES_DIST) \
290	$(am__test_kernel_SOURCES_DIST) \
291	$(am__test_libevdev_SOURCES_DIST) \
292	$(am__test_libevdev_internals_SOURCES_DIST) \
293	$(test_link_SOURCES) $(test_static_link_SOURCES) \
294	$(am__test_uinput_SOURCES_DIST)
295am__can_run_installinfo = \
296  case $$AM_UPDATE_INFO_DIR in \
297    n|no|NO) false;; \
298    *) (install-info --version) >/dev/null 2>&1;; \
299  esac
300am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
301# Read a list of newline-separated strings from the standard input,
302# and print each of them once, without duplicates.  Input order is
303# *not* preserved.
304am__uniquify_input = $(AWK) '\
305  BEGIN { nonempty = 0; } \
306  { items[$$0] = 1; nonempty = 1; } \
307  END { if (nonempty) { for (i in items) print i; }; } \
308'
309# Make sure the list of sources is unique.  This is necessary because,
310# e.g., the same source file might be shared among _SOURCES variables
311# for different programs/libraries.
312am__define_uniq_tagged_files = \
313  list='$(am__tagged_files)'; \
314  unique=`for i in $$list; do \
315    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316  done | $(am__uniquify_input)`
317am__tty_colors_dummy = \
318  mgn= red= grn= lgn= blu= brg= std=; \
319  am__color_tests=no
320am__tty_colors = { \
321  $(am__tty_colors_dummy); \
322  if test "X$(AM_COLOR_TESTS)" = Xno; then \
323    am__color_tests=no; \
324  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
325    am__color_tests=yes; \
326  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
327    am__color_tests=yes; \
328  fi; \
329  if test $$am__color_tests = yes; then \
330    red=''; \
331    grn=''; \
332    lgn=''; \
333    blu=''; \
334    mgn=''; \
335    brg=''; \
336    std=''; \
337  fi; \
338}
339am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
340am__vpath_adj = case $$p in \
341    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
342    *) f=$$p;; \
343  esac;
344am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
345am__install_max = 40
346am__nobase_strip_setup = \
347  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
348am__nobase_strip = \
349  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
350am__nobase_list = $(am__nobase_strip_setup); \
351  for p in $$list; do echo "$$p $$p"; done | \
352  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
353  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
354    if (++n[$$2] == $(am__install_max)) \
355      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
356    END { for (dir in files) print dir, files[dir] }'
357am__base_list = \
358  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
359  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
360am__uninstall_files_from_dir = { \
361  test -z "$$files" \
362    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
363    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
364         $(am__cd) "$$dir" && rm -f $$files; }; \
365  }
366am__recheck_rx = ^[ 	]*:recheck:[ 	]*
367am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
368am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
369# A command that, given a newline-separated list of test names on the
370# standard input, print the name of the tests that are to be re-run
371# upon "make recheck".
372am__list_recheck_tests = $(AWK) '{ \
373  recheck = 1; \
374  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
375    { \
376      if (rc < 0) \
377        { \
378          if ((getline line2 < ($$0 ".log")) < 0) \
379	    recheck = 0; \
380          break; \
381        } \
382      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
383        { \
384          recheck = 0; \
385          break; \
386        } \
387      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
388        { \
389          break; \
390        } \
391    }; \
392  if (recheck) \
393    print $$0; \
394  close ($$0 ".trs"); \
395  close ($$0 ".log"); \
396}'
397# A command that, given a newline-separated list of test names on the
398# standard input, create the global log from their .trs and .log files.
399am__create_global_log = $(AWK) ' \
400function fatal(msg) \
401{ \
402  print "fatal: making $@: " msg | "cat >&2"; \
403  exit 1; \
404} \
405function rst_section(header) \
406{ \
407  print header; \
408  len = length(header); \
409  for (i = 1; i <= len; i = i + 1) \
410    printf "="; \
411  printf "\n\n"; \
412} \
413{ \
414  copy_in_global_log = 1; \
415  global_test_result = "RUN"; \
416  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
417    { \
418      if (rc < 0) \
419         fatal("failed to read from " $$0 ".trs"); \
420      if (line ~ /$(am__global_test_result_rx)/) \
421        { \
422          sub("$(am__global_test_result_rx)", "", line); \
423          sub("[ 	]*$$", "", line); \
424          global_test_result = line; \
425        } \
426      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
427        copy_in_global_log = 0; \
428    }; \
429  if (copy_in_global_log) \
430    { \
431      rst_section(global_test_result ": " $$0); \
432      while ((rc = (getline line < ($$0 ".log"))) != 0) \
433      { \
434        if (rc < 0) \
435          fatal("failed to read from " $$0 ".log"); \
436        print line; \
437      }; \
438      printf "\n"; \
439    }; \
440  close ($$0 ".trs"); \
441  close ($$0 ".log"); \
442}'
443# Restructured Text title.
444am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
445# Solaris 10 'make', and several other traditional 'make' implementations,
446# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
447# by disabling -e (using the XSI extension "set +e") if it's set.
448am__sh_e_setup = case $$- in *e*) set +e;; esac
449# Default flags passed to test drivers.
450am__common_driver_flags = \
451  --color-tests "$$am__color_tests" \
452  --enable-hard-errors "$$am__enable_hard_errors" \
453  --expect-failure "$$am__expect_failure"
454# To be inserted before the command running the test.  Creates the
455# directory for the log if needed.  Stores in $dir the directory
456# containing $f, in $tst the test, in $log the log.  Executes the
457# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
458# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
459# will run the test scripts (or their associated LOG_COMPILER, if
460# thy have one).
461am__check_pre = \
462$(am__sh_e_setup);					\
463$(am__vpath_adj_setup) $(am__vpath_adj)			\
464$(am__tty_colors);					\
465srcdir=$(srcdir); export srcdir;			\
466case "$@" in						\
467  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
468    *) am__odir=.;; 					\
469esac;							\
470test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
471  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
472if test -f "./$$f"; then dir=./;			\
473elif test -f "$$f"; then dir=;				\
474else dir="$(srcdir)/"; fi;				\
475tst=$$dir$$f; log='$@'; 				\
476if test -n '$(DISABLE_HARD_ERRORS)'; then		\
477  am__enable_hard_errors=no; 				\
478else							\
479  am__enable_hard_errors=yes; 				\
480fi; 							\
481case " $(XFAIL_TESTS) " in				\
482  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
483    am__expect_failure=yes;;				\
484  *)							\
485    am__expect_failure=no;;				\
486esac; 							\
487$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
488# A shell command to get the names of the tests scripts with any registered
489# extension removed (i.e., equivalently, the names of the test logs, with
490# the '.log' extension removed).  The result is saved in the shell variable
491# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
492# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
493# since that might cause problem with VPATH rewrites for suffix-less tests.
494# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
495am__set_TESTS_bases = \
496  bases='$(TEST_LOGS)'; \
497  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
498  bases=`echo $$bases`
499AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
500RECHECK_LOGS = $(TEST_LOGS)
501AM_RECURSIVE_TARGETS = check recheck
502TEST_SUITE_LOG = test-suite.log
503TEST_EXTENSIONS = @EXEEXT@ .test
504LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
505LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
506am__set_b = \
507  case '$@' in \
508    */*) \
509      case '$*' in \
510        */*) b='$*';; \
511          *) b=`echo '$@' | sed 's/\.log$$//'`; \
512       esac;; \
513    *) \
514      b='$*';; \
515  esac
516am__test_logs1 = $(TESTS:=.log)
517am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
518TEST_LOGS = $(am__test_logs2:.test.log=.log)
519TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
520TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
521	$(TEST_LOG_FLAGS)
522am__DIST_COMMON = $(srcdir)/Makefile.in \
523	$(top_srcdir)/build-aux/depcomp \
524	$(top_srcdir)/build-aux/test-driver
525DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
526ACLOCAL = @ACLOCAL@
527AMTAR = @AMTAR@
528AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
529AR = @AR@
530AUTOCONF = @AUTOCONF@
531AUTOHEADER = @AUTOHEADER@
532AUTOMAKE = @AUTOMAKE@
533AWK = @AWK@
534CC = @CC@
535CCDEPMODE = @CCDEPMODE@
536CFLAGS = @CFLAGS@
537CHECK_CFLAGS = @CHECK_CFLAGS@
538CHECK_LIBS = @CHECK_LIBS@
539CPPFLAGS = @CPPFLAGS@
540CSCOPE = @CSCOPE@
541CTAGS = @CTAGS@
542CYGPATH_W = @CYGPATH_W@
543DEFS = @DEFS@
544DEPDIR = @DEPDIR@
545DLLTOOL = @DLLTOOL@
546DOXYGEN = @DOXYGEN@
547DSYMUTIL = @DSYMUTIL@
548DUMPBIN = @DUMPBIN@
549ECHO_C = @ECHO_C@
550ECHO_N = @ECHO_N@
551ECHO_T = @ECHO_T@
552EGREP = @EGREP@
553ETAGS = @ETAGS@
554EXEEXT = @EXEEXT@
555FGREP = @FGREP@
556GCC_CFLAGS = @GCC_CFLAGS@
557GCOV_CFLAGS = @GCOV_CFLAGS@
558GCOV_LDFLAGS = @GCOV_LDFLAGS@
559GNU_LD_FLAGS = @GNU_LD_FLAGS@
560GREP = @GREP@
561INSTALL = @INSTALL@
562INSTALL_DATA = @INSTALL_DATA@
563INSTALL_PROGRAM = @INSTALL_PROGRAM@
564INSTALL_SCRIPT = @INSTALL_SCRIPT@
565INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
566LD = @LD@
567LDFLAGS = @LDFLAGS@
568LIBEVDEV_LT_VERSION = @LIBEVDEV_LT_VERSION@
569LIBOBJS = @LIBOBJS@
570LIBS = @LIBS@
571LIBTOOL = @LIBTOOL@
572LIPO = @LIPO@
573LN_S = @LN_S@
574LTLIBOBJS = @LTLIBOBJS@
575LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
576MAKEINFO = @MAKEINFO@
577MANIFEST_TOOL = @MANIFEST_TOOL@
578MKDIR_P = @MKDIR_P@
579NM = @NM@
580NMEDIT = @NMEDIT@
581OBJDUMP = @OBJDUMP@
582OBJEXT = @OBJEXT@
583OS = @OS@
584OTOOL = @OTOOL@
585OTOOL64 = @OTOOL64@
586PACKAGE = @PACKAGE@
587PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
588PACKAGE_NAME = @PACKAGE_NAME@
589PACKAGE_STRING = @PACKAGE_STRING@
590PACKAGE_TARNAME = @PACKAGE_TARNAME@
591PACKAGE_URL = @PACKAGE_URL@
592PACKAGE_VERSION = @PACKAGE_VERSION@
593PATH_SEPARATOR = @PATH_SEPARATOR@
594PKG_CONFIG = @PKG_CONFIG@
595PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
596PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
597PYTHON = @PYTHON@
598PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
599PYTHON_PLATFORM = @PYTHON_PLATFORM@
600PYTHON_PREFIX = @PYTHON_PREFIX@
601PYTHON_VERSION = @PYTHON_VERSION@
602RANLIB = @RANLIB@
603SED = @SED@
604SET_MAKE = @SET_MAKE@
605SHELL = @SHELL@
606STRIP = @STRIP@
607VALGRIND = @VALGRIND@
608VERSION = @VERSION@
609abs_builddir = @abs_builddir@
610abs_srcdir = @abs_srcdir@
611abs_top_builddir = @abs_top_builddir@
612abs_top_srcdir = @abs_top_srcdir@
613ac_ct_AR = @ac_ct_AR@
614ac_ct_CC = @ac_ct_CC@
615ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
616am__include = @am__include@
617am__leading_dot = @am__leading_dot@
618am__quote = @am__quote@
619am__tar = @am__tar@
620am__untar = @am__untar@
621bindir = @bindir@
622build = @build@
623build_alias = @build_alias@
624build_cpu = @build_cpu@
625build_os = @build_os@
626build_vendor = @build_vendor@
627builddir = @builddir@
628datadir = @datadir@
629datarootdir = @datarootdir@
630docdir = @docdir@
631dvidir = @dvidir@
632exec_prefix = @exec_prefix@
633host = @host@
634host_alias = @host_alias@
635host_cpu = @host_cpu@
636host_os = @host_os@
637host_vendor = @host_vendor@
638htmldir = @htmldir@
639includedir = @includedir@
640infodir = @infodir@
641install_sh = @install_sh@
642libdir = @libdir@
643libexecdir = @libexecdir@
644localedir = @localedir@
645localstatedir = @localstatedir@
646mandir = @mandir@
647mkdir_p = @mkdir_p@
648oldincludedir = @oldincludedir@
649pdfdir = @pdfdir@
650pkgpyexecdir = @pkgpyexecdir@
651pkgpythondir = @pkgpythondir@
652prefix = @prefix@
653program_transform_name = @program_transform_name@
654psdir = @psdir@
655pyexecdir = @pyexecdir@
656pythondir = @pythondir@
657runstatedir = @runstatedir@
658sbindir = @sbindir@
659sharedstatedir = @sharedstatedir@
660srcdir = @srcdir@
661sysconfdir = @sysconfdir@
662target_alias = @target_alias@
663top_build_prefix = @top_build_prefix@
664top_builddir = @top_builddir@
665top_srcdir = @top_srcdir@
666build_tests = test-compile-pedantic test-link $(am__append_1)
667AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
668	-I$(top_builddir)/libevdev $(am__append_3)
669AM_LDFLAGS = $(am__append_4)
670test_compile_pedantic_SOURCES = test-compile-pedantic.c
671test_compile_pedantic_CFLAGS = $(AM_CPPFLAGS) -pedantic -Werror -std=c89
672test_link_SOURCES = test-link.c
673test_link_CFLAGS = -I$(top_srcdir)
674test_link_LDADD = $(top_builddir)/libevdev/libevdev.la
675test_static_link_SOURCES = test-link.c
676test_static_link_CFLAGS = -I$(top_srcdir)
677test_static_link_LDADD = $(top_builddir)/libevdev/libevdev.la
678test_static_link_LDFLAGS = $(AM_LDFLAGS) -static
679check_local_deps = $(am__append_5) $(am__append_6) $(am__append_7)
680@ENABLE_RUNTIME_TESTS_TRUE@run_tests = \
681@ENABLE_RUNTIME_TESTS_TRUE@	    test-libevdev \
682@ENABLE_RUNTIME_TESTS_TRUE@	    test-kernel \
683@ENABLE_RUNTIME_TESTS_TRUE@	    test-uinput \
684@ENABLE_RUNTIME_TESTS_TRUE@	    test-event-codes \
685@ENABLE_RUNTIME_TESTS_TRUE@	    test-libevdev-internals \
686@ENABLE_RUNTIME_TESTS_TRUE@	    $(NULL)
687
688@ENABLE_RUNTIME_TESTS_TRUE@common_sources = \
689@ENABLE_RUNTIME_TESTS_TRUE@		 test-common-uinput.c \
690@ENABLE_RUNTIME_TESTS_TRUE@		 test-common-uinput.h \
691@ENABLE_RUNTIME_TESTS_TRUE@		 test-common.c \
692@ENABLE_RUNTIME_TESTS_TRUE@		 test-common.h
693
694@ENABLE_RUNTIME_TESTS_TRUE@test_event_codes_SOURCES = \
695@ENABLE_RUNTIME_TESTS_TRUE@			test-main.c \
696@ENABLE_RUNTIME_TESTS_TRUE@			test-event-codes.c \
697@ENABLE_RUNTIME_TESTS_TRUE@			test-event-names.c \
698@ENABLE_RUNTIME_TESTS_TRUE@			test-context.c \
699@ENABLE_RUNTIME_TESTS_TRUE@			$(common_sources)
700
701@ENABLE_RUNTIME_TESTS_TRUE@test_event_codes_LDADD = $(CHECK_LIBS) $(top_builddir)/libevdev/libevdev.la
702@ENABLE_RUNTIME_TESTS_TRUE@test_event_codes_LDFLAGS = -no-install
703@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_internals_SOURCES = \
704@ENABLE_RUNTIME_TESTS_TRUE@			test-main.c \
705@ENABLE_RUNTIME_TESTS_TRUE@			test-int-queue.c \
706@ENABLE_RUNTIME_TESTS_TRUE@			$(common_sources)
707
708@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_internals_LDADD = $(CHECK_LIBS) $(top_builddir)/libevdev/libevdev.la
709@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_internals_LDFLAGS = -no-install
710@ENABLE_RUNTIME_TESTS_TRUE@test_uinput_SOURCES = \
711@ENABLE_RUNTIME_TESTS_TRUE@			test-main.c \
712@ENABLE_RUNTIME_TESTS_TRUE@			test-uinput.c \
713@ENABLE_RUNTIME_TESTS_TRUE@			$(common_sources)
714
715@ENABLE_RUNTIME_TESTS_TRUE@test_uinput_LDADD = $(CHECK_LIBS) $(top_builddir)/libevdev/libevdev.la
716@ENABLE_RUNTIME_TESTS_TRUE@test_uinput_LDFLAGS = -no-install
717@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_SOURCES = \
718@ENABLE_RUNTIME_TESTS_TRUE@			test-main.c \
719@ENABLE_RUNTIME_TESTS_TRUE@			test-libevdev-init.c \
720@ENABLE_RUNTIME_TESTS_TRUE@			test-libevdev-has-event.c \
721@ENABLE_RUNTIME_TESTS_TRUE@			test-libevdev-events.c \
722@ENABLE_RUNTIME_TESTS_TRUE@			$(common_sources)
723
724@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_LDADD = $(CHECK_LIBS) $(top_builddir)/libevdev/libevdev.la
725@ENABLE_RUNTIME_TESTS_TRUE@test_libevdev_LDFLAGS = -no-install
726@ENABLE_RUNTIME_TESTS_TRUE@test_kernel_SOURCES = \
727@ENABLE_RUNTIME_TESTS_TRUE@		      test-main.c \
728@ENABLE_RUNTIME_TESTS_TRUE@		      test-kernel.c \
729@ENABLE_RUNTIME_TESTS_TRUE@		      $(common_sources)
730
731@ENABLE_RUNTIME_TESTS_TRUE@test_kernel_CFLAGS = -I$(top_srcdir)
732@ENABLE_RUNTIME_TESTS_TRUE@test_kernel_LDADD = $(CHECK_LIBS) $(top_builddir)/libevdev/libevdev.la
733@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@VALGRIND_FLAGS = --leak-check=full \
734@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@		--quiet \
735@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@		--error-exitcode=3 \
736@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@		--suppressions=$(srcdir)/valgrind.suppressions
737
738@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@CLEANFILES = gcov-reports/*.gcov gcov-reports/summary.txt *.gcno *.gcda
739EXTRA_DIST = valgrind.suppressions  generate-gcov-report.sh test-static-symbols-leak.sh
740all: all-am
741
742.SUFFIXES:
743.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
744$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
745	@for dep in $?; do \
746	  case '$(am__configure_deps)' in \
747	    *$$dep*) \
748	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
749	        && { if test -f $@; then exit 0; else break; fi; }; \
750	      exit 1;; \
751	  esac; \
752	done; \
753	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
754	$(am__cd) $(top_srcdir) && \
755	  $(AUTOMAKE) --foreign test/Makefile
756Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
757	@case '$?' in \
758	  *config.status*) \
759	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
760	  *) \
761	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
762	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
763	esac;
764
765$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
766	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
767
768$(top_srcdir)/configure:  $(am__configure_deps)
769	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
770$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
771	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
772$(am__aclocal_m4_deps):
773
774clean-noinstPROGRAMS:
775	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
776	echo " rm -f" $$list; \
777	rm -f $$list || exit $$?; \
778	test -n "$(EXEEXT)" || exit 0; \
779	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
780	echo " rm -f" $$list; \
781	rm -f $$list
782
783test-compile-pedantic$(EXEEXT): $(test_compile_pedantic_OBJECTS) $(test_compile_pedantic_DEPENDENCIES) $(EXTRA_test_compile_pedantic_DEPENDENCIES)
784	@rm -f test-compile-pedantic$(EXEEXT)
785	$(AM_V_CCLD)$(test_compile_pedantic_LINK) $(test_compile_pedantic_OBJECTS) $(test_compile_pedantic_LDADD) $(LIBS)
786
787test-event-codes$(EXEEXT): $(test_event_codes_OBJECTS) $(test_event_codes_DEPENDENCIES) $(EXTRA_test_event_codes_DEPENDENCIES)
788	@rm -f test-event-codes$(EXEEXT)
789	$(AM_V_CCLD)$(test_event_codes_LINK) $(test_event_codes_OBJECTS) $(test_event_codes_LDADD) $(LIBS)
790
791test-kernel$(EXEEXT): $(test_kernel_OBJECTS) $(test_kernel_DEPENDENCIES) $(EXTRA_test_kernel_DEPENDENCIES)
792	@rm -f test-kernel$(EXEEXT)
793	$(AM_V_CCLD)$(test_kernel_LINK) $(test_kernel_OBJECTS) $(test_kernel_LDADD) $(LIBS)
794
795test-libevdev$(EXEEXT): $(test_libevdev_OBJECTS) $(test_libevdev_DEPENDENCIES) $(EXTRA_test_libevdev_DEPENDENCIES)
796	@rm -f test-libevdev$(EXEEXT)
797	$(AM_V_CCLD)$(test_libevdev_LINK) $(test_libevdev_OBJECTS) $(test_libevdev_LDADD) $(LIBS)
798
799test-libevdev-internals$(EXEEXT): $(test_libevdev_internals_OBJECTS) $(test_libevdev_internals_DEPENDENCIES) $(EXTRA_test_libevdev_internals_DEPENDENCIES)
800	@rm -f test-libevdev-internals$(EXEEXT)
801	$(AM_V_CCLD)$(test_libevdev_internals_LINK) $(test_libevdev_internals_OBJECTS) $(test_libevdev_internals_LDADD) $(LIBS)
802
803test-link$(EXEEXT): $(test_link_OBJECTS) $(test_link_DEPENDENCIES) $(EXTRA_test_link_DEPENDENCIES)
804	@rm -f test-link$(EXEEXT)
805	$(AM_V_CCLD)$(test_link_LINK) $(test_link_OBJECTS) $(test_link_LDADD) $(LIBS)
806
807test-static-link$(EXEEXT): $(test_static_link_OBJECTS) $(test_static_link_DEPENDENCIES) $(EXTRA_test_static_link_DEPENDENCIES)
808	@rm -f test-static-link$(EXEEXT)
809	$(AM_V_CCLD)$(test_static_link_LINK) $(test_static_link_OBJECTS) $(test_static_link_LDADD) $(LIBS)
810
811test-uinput$(EXEEXT): $(test_uinput_OBJECTS) $(test_uinput_DEPENDENCIES) $(EXTRA_test_uinput_DEPENDENCIES)
812	@rm -f test-uinput$(EXEEXT)
813	$(AM_V_CCLD)$(test_uinput_LINK) $(test_uinput_OBJECTS) $(test_uinput_LDADD) $(LIBS)
814
815mostlyclean-compile:
816	-rm -f *.$(OBJEXT)
817
818distclean-compile:
819	-rm -f *.tab.c
820
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-common-uinput.Po@am__quote@ # am--include-marker
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-common.Po@am__quote@ # am--include-marker
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-context.Po@am__quote@ # am--include-marker
824@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-event-codes.Po@am__quote@ # am--include-marker
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-event-names.Po@am__quote@ # am--include-marker
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-int-queue.Po@am__quote@ # am--include-marker
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-libevdev-events.Po@am__quote@ # am--include-marker
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-libevdev-has-event.Po@am__quote@ # am--include-marker
829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-libevdev-init.Po@am__quote@ # am--include-marker
830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-main.Po@am__quote@ # am--include-marker
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-uinput.Po@am__quote@ # am--include-marker
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po@am__quote@ # am--include-marker
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_kernel-test-common-uinput.Po@am__quote@ # am--include-marker
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_kernel-test-common.Po@am__quote@ # am--include-marker
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_kernel-test-kernel.Po@am__quote@ # am--include-marker
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_kernel-test-main.Po@am__quote@ # am--include-marker
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_link-test-link.Po@am__quote@ # am--include-marker
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_static_link-test-link.Po@am__quote@ # am--include-marker
839
840$(am__depfiles_remade):
841	@$(MKDIR_P) $(@D)
842	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
843
844am--depfiles: $(am__depfiles_remade)
845
846.c.o:
847@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
848@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
849@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
850@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
851@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
853
854.c.obj:
855@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
856@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
857@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
858@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
859@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
861
862.c.lo:
863@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
864@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
865@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
866@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
867@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
869
870test_compile_pedantic-test-compile-pedantic.o: test-compile-pedantic.c
871@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_compile_pedantic_CFLAGS) $(CFLAGS) -MT test_compile_pedantic-test-compile-pedantic.o -MD -MP -MF $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Tpo -c -o test_compile_pedantic-test-compile-pedantic.o `test -f 'test-compile-pedantic.c' || echo '$(srcdir)/'`test-compile-pedantic.c
872@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Tpo $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po
873@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-compile-pedantic.c' object='test_compile_pedantic-test-compile-pedantic.o' libtool=no @AMDEPBACKSLASH@
874@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_compile_pedantic_CFLAGS) $(CFLAGS) -c -o test_compile_pedantic-test-compile-pedantic.o `test -f 'test-compile-pedantic.c' || echo '$(srcdir)/'`test-compile-pedantic.c
876
877test_compile_pedantic-test-compile-pedantic.obj: test-compile-pedantic.c
878@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_compile_pedantic_CFLAGS) $(CFLAGS) -MT test_compile_pedantic-test-compile-pedantic.obj -MD -MP -MF $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Tpo -c -o test_compile_pedantic-test-compile-pedantic.obj `if test -f 'test-compile-pedantic.c'; then $(CYGPATH_W) 'test-compile-pedantic.c'; else $(CYGPATH_W) '$(srcdir)/test-compile-pedantic.c'; fi`
879@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Tpo $(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po
880@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-compile-pedantic.c' object='test_compile_pedantic-test-compile-pedantic.obj' libtool=no @AMDEPBACKSLASH@
881@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_compile_pedantic_CFLAGS) $(CFLAGS) -c -o test_compile_pedantic-test-compile-pedantic.obj `if test -f 'test-compile-pedantic.c'; then $(CYGPATH_W) 'test-compile-pedantic.c'; else $(CYGPATH_W) '$(srcdir)/test-compile-pedantic.c'; fi`
883
884test_kernel-test-main.o: test-main.c
885@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-main.o -MD -MP -MF $(DEPDIR)/test_kernel-test-main.Tpo -c -o test_kernel-test-main.o `test -f 'test-main.c' || echo '$(srcdir)/'`test-main.c
886@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-main.Tpo $(DEPDIR)/test_kernel-test-main.Po
887@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-main.c' object='test_kernel-test-main.o' libtool=no @AMDEPBACKSLASH@
888@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-main.o `test -f 'test-main.c' || echo '$(srcdir)/'`test-main.c
890
891test_kernel-test-main.obj: test-main.c
892@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-main.obj -MD -MP -MF $(DEPDIR)/test_kernel-test-main.Tpo -c -o test_kernel-test-main.obj `if test -f 'test-main.c'; then $(CYGPATH_W) 'test-main.c'; else $(CYGPATH_W) '$(srcdir)/test-main.c'; fi`
893@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-main.Tpo $(DEPDIR)/test_kernel-test-main.Po
894@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-main.c' object='test_kernel-test-main.obj' libtool=no @AMDEPBACKSLASH@
895@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-main.obj `if test -f 'test-main.c'; then $(CYGPATH_W) 'test-main.c'; else $(CYGPATH_W) '$(srcdir)/test-main.c'; fi`
897
898test_kernel-test-kernel.o: test-kernel.c
899@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-kernel.o -MD -MP -MF $(DEPDIR)/test_kernel-test-kernel.Tpo -c -o test_kernel-test-kernel.o `test -f 'test-kernel.c' || echo '$(srcdir)/'`test-kernel.c
900@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-kernel.Tpo $(DEPDIR)/test_kernel-test-kernel.Po
901@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-kernel.c' object='test_kernel-test-kernel.o' libtool=no @AMDEPBACKSLASH@
902@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-kernel.o `test -f 'test-kernel.c' || echo '$(srcdir)/'`test-kernel.c
904
905test_kernel-test-kernel.obj: test-kernel.c
906@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-kernel.obj -MD -MP -MF $(DEPDIR)/test_kernel-test-kernel.Tpo -c -o test_kernel-test-kernel.obj `if test -f 'test-kernel.c'; then $(CYGPATH_W) 'test-kernel.c'; else $(CYGPATH_W) '$(srcdir)/test-kernel.c'; fi`
907@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-kernel.Tpo $(DEPDIR)/test_kernel-test-kernel.Po
908@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-kernel.c' object='test_kernel-test-kernel.obj' libtool=no @AMDEPBACKSLASH@
909@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-kernel.obj `if test -f 'test-kernel.c'; then $(CYGPATH_W) 'test-kernel.c'; else $(CYGPATH_W) '$(srcdir)/test-kernel.c'; fi`
911
912test_kernel-test-common-uinput.o: test-common-uinput.c
913@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-common-uinput.o -MD -MP -MF $(DEPDIR)/test_kernel-test-common-uinput.Tpo -c -o test_kernel-test-common-uinput.o `test -f 'test-common-uinput.c' || echo '$(srcdir)/'`test-common-uinput.c
914@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-common-uinput.Tpo $(DEPDIR)/test_kernel-test-common-uinput.Po
915@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-common-uinput.c' object='test_kernel-test-common-uinput.o' libtool=no @AMDEPBACKSLASH@
916@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-common-uinput.o `test -f 'test-common-uinput.c' || echo '$(srcdir)/'`test-common-uinput.c
918
919test_kernel-test-common-uinput.obj: test-common-uinput.c
920@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-common-uinput.obj -MD -MP -MF $(DEPDIR)/test_kernel-test-common-uinput.Tpo -c -o test_kernel-test-common-uinput.obj `if test -f 'test-common-uinput.c'; then $(CYGPATH_W) 'test-common-uinput.c'; else $(CYGPATH_W) '$(srcdir)/test-common-uinput.c'; fi`
921@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-common-uinput.Tpo $(DEPDIR)/test_kernel-test-common-uinput.Po
922@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-common-uinput.c' object='test_kernel-test-common-uinput.obj' libtool=no @AMDEPBACKSLASH@
923@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-common-uinput.obj `if test -f 'test-common-uinput.c'; then $(CYGPATH_W) 'test-common-uinput.c'; else $(CYGPATH_W) '$(srcdir)/test-common-uinput.c'; fi`
925
926test_kernel-test-common.o: test-common.c
927@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-common.o -MD -MP -MF $(DEPDIR)/test_kernel-test-common.Tpo -c -o test_kernel-test-common.o `test -f 'test-common.c' || echo '$(srcdir)/'`test-common.c
928@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-common.Tpo $(DEPDIR)/test_kernel-test-common.Po
929@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-common.c' object='test_kernel-test-common.o' libtool=no @AMDEPBACKSLASH@
930@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-common.o `test -f 'test-common.c' || echo '$(srcdir)/'`test-common.c
932
933test_kernel-test-common.obj: test-common.c
934@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -MT test_kernel-test-common.obj -MD -MP -MF $(DEPDIR)/test_kernel-test-common.Tpo -c -o test_kernel-test-common.obj `if test -f 'test-common.c'; then $(CYGPATH_W) 'test-common.c'; else $(CYGPATH_W) '$(srcdir)/test-common.c'; fi`
935@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_kernel-test-common.Tpo $(DEPDIR)/test_kernel-test-common.Po
936@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-common.c' object='test_kernel-test-common.obj' libtool=no @AMDEPBACKSLASH@
937@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_kernel_CFLAGS) $(CFLAGS) -c -o test_kernel-test-common.obj `if test -f 'test-common.c'; then $(CYGPATH_W) 'test-common.c'; else $(CYGPATH_W) '$(srcdir)/test-common.c'; fi`
939
940test_link-test-link.o: test-link.c
941@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_link_CFLAGS) $(CFLAGS) -MT test_link-test-link.o -MD -MP -MF $(DEPDIR)/test_link-test-link.Tpo -c -o test_link-test-link.o `test -f 'test-link.c' || echo '$(srcdir)/'`test-link.c
942@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_link-test-link.Tpo $(DEPDIR)/test_link-test-link.Po
943@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-link.c' object='test_link-test-link.o' libtool=no @AMDEPBACKSLASH@
944@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_link_CFLAGS) $(CFLAGS) -c -o test_link-test-link.o `test -f 'test-link.c' || echo '$(srcdir)/'`test-link.c
946
947test_link-test-link.obj: test-link.c
948@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_link_CFLAGS) $(CFLAGS) -MT test_link-test-link.obj -MD -MP -MF $(DEPDIR)/test_link-test-link.Tpo -c -o test_link-test-link.obj `if test -f 'test-link.c'; then $(CYGPATH_W) 'test-link.c'; else $(CYGPATH_W) '$(srcdir)/test-link.c'; fi`
949@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_link-test-link.Tpo $(DEPDIR)/test_link-test-link.Po
950@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-link.c' object='test_link-test-link.obj' libtool=no @AMDEPBACKSLASH@
951@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_link_CFLAGS) $(CFLAGS) -c -o test_link-test-link.obj `if test -f 'test-link.c'; then $(CYGPATH_W) 'test-link.c'; else $(CYGPATH_W) '$(srcdir)/test-link.c'; fi`
953
954test_static_link-test-link.o: test-link.c
955@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_static_link_CFLAGS) $(CFLAGS) -MT test_static_link-test-link.o -MD -MP -MF $(DEPDIR)/test_static_link-test-link.Tpo -c -o test_static_link-test-link.o `test -f 'test-link.c' || echo '$(srcdir)/'`test-link.c
956@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_static_link-test-link.Tpo $(DEPDIR)/test_static_link-test-link.Po
957@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-link.c' object='test_static_link-test-link.o' libtool=no @AMDEPBACKSLASH@
958@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_static_link_CFLAGS) $(CFLAGS) -c -o test_static_link-test-link.o `test -f 'test-link.c' || echo '$(srcdir)/'`test-link.c
960
961test_static_link-test-link.obj: test-link.c
962@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_static_link_CFLAGS) $(CFLAGS) -MT test_static_link-test-link.obj -MD -MP -MF $(DEPDIR)/test_static_link-test-link.Tpo -c -o test_static_link-test-link.obj `if test -f 'test-link.c'; then $(CYGPATH_W) 'test-link.c'; else $(CYGPATH_W) '$(srcdir)/test-link.c'; fi`
963@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_static_link-test-link.Tpo $(DEPDIR)/test_static_link-test-link.Po
964@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-link.c' object='test_static_link-test-link.obj' libtool=no @AMDEPBACKSLASH@
965@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_static_link_CFLAGS) $(CFLAGS) -c -o test_static_link-test-link.obj `if test -f 'test-link.c'; then $(CYGPATH_W) 'test-link.c'; else $(CYGPATH_W) '$(srcdir)/test-link.c'; fi`
967
968mostlyclean-libtool:
969	-rm -f *.lo
970
971clean-libtool:
972	-rm -rf .libs _libs
973
974ID: $(am__tagged_files)
975	$(am__define_uniq_tagged_files); mkid -fID $$unique
976tags: tags-am
977TAGS: tags
978
979tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
980	set x; \
981	here=`pwd`; \
982	$(am__define_uniq_tagged_files); \
983	shift; \
984	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
985	  test -n "$$unique" || unique=$$empty_fix; \
986	  if test $$# -gt 0; then \
987	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
988	      "$$@" $$unique; \
989	  else \
990	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
991	      $$unique; \
992	  fi; \
993	fi
994ctags: ctags-am
995
996CTAGS: ctags
997ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
998	$(am__define_uniq_tagged_files); \
999	test -z "$(CTAGS_ARGS)$$unique" \
1000	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1001	     $$unique
1002
1003GTAGS:
1004	here=`$(am__cd) $(top_builddir) && pwd` \
1005	  && $(am__cd) $(top_srcdir) \
1006	  && gtags -i $(GTAGS_ARGS) "$$here"
1007cscopelist: cscopelist-am
1008
1009cscopelist-am: $(am__tagged_files)
1010	list='$(am__tagged_files)'; \
1011	case "$(srcdir)" in \
1012	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1013	  *) sdir=$(subdir)/$(srcdir) ;; \
1014	esac; \
1015	for i in $$list; do \
1016	  if test -f "$$i"; then \
1017	    echo "$(subdir)/$$i"; \
1018	  else \
1019	    echo "$$sdir/$$i"; \
1020	  fi; \
1021	done >> $(top_builddir)/cscope.files
1022
1023distclean-tags:
1024	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1025
1026# Recover from deleted '.trs' file; this should ensure that
1027# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1028# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1029# to avoid problems with "make -n".
1030.log.trs:
1031	rm -f $< $@
1032	$(MAKE) $(AM_MAKEFLAGS) $<
1033
1034# Leading 'am--fnord' is there to ensure the list of targets does not
1035# expand to empty, as could happen e.g. with make check TESTS=''.
1036am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1037am--force-recheck:
1038	@:
1039
1040$(TEST_SUITE_LOG): $(TEST_LOGS)
1041	@$(am__set_TESTS_bases); \
1042	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1043	redo_bases=`for i in $$bases; do \
1044	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1045	            done`; \
1046	if test -n "$$redo_bases"; then \
1047	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1048	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1049	  if $(am__make_dryrun); then :; else \
1050	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1051	  fi; \
1052	fi; \
1053	if test -n "$$am__remaking_logs"; then \
1054	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1055	       "recursion detected" >&2; \
1056	elif test -n "$$redo_logs"; then \
1057	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1058	fi; \
1059	if $(am__make_dryrun); then :; else \
1060	  st=0;  \
1061	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1062	  for i in $$redo_bases; do \
1063	    test -f $$i.trs && test -r $$i.trs \
1064	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1065	    test -f $$i.log && test -r $$i.log \
1066	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1067	  done; \
1068	  test $$st -eq 0 || exit 1; \
1069	fi
1070	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1071	ws='[ 	]'; \
1072	results=`for b in $$bases; do echo $$b.trs; done`; \
1073	test -n "$$results" || results=/dev/null; \
1074	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1075	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1076	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1077	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1078	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1079	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1080	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1081	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1082	  success=true; \
1083	else \
1084	  success=false; \
1085	fi; \
1086	br='==================='; br=$$br$$br$$br$$br; \
1087	result_count () \
1088	{ \
1089	    if test x"$$1" = x"--maybe-color"; then \
1090	      maybe_colorize=yes; \
1091	    elif test x"$$1" = x"--no-color"; then \
1092	      maybe_colorize=no; \
1093	    else \
1094	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1095	    fi; \
1096	    shift; \
1097	    desc=$$1 count=$$2; \
1098	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1099	      color_start=$$3 color_end=$$std; \
1100	    else \
1101	      color_start= color_end=; \
1102	    fi; \
1103	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1104	}; \
1105	create_testsuite_report () \
1106	{ \
1107	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1108	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1109	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1110	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1111	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1112	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1113	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1114	}; \
1115	{								\
1116	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1117	    $(am__rst_title);						\
1118	  create_testsuite_report --no-color;				\
1119	  echo;								\
1120	  echo ".. contents:: :depth: 2";				\
1121	  echo;								\
1122	  for b in $$bases; do echo $$b; done				\
1123	    | $(am__create_global_log);					\
1124	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1125	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1126	if $$success; then						\
1127	  col="$$grn";							\
1128	 else								\
1129	  col="$$red";							\
1130	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1131	fi;								\
1132	echo "$${col}$$br$${std}"; 					\
1133	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1134	echo "$${col}$$br$${std}"; 					\
1135	create_testsuite_report --maybe-color;				\
1136	echo "$$col$$br$$std";						\
1137	if $$success; then :; else					\
1138	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1139	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1140	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1141	  fi;								\
1142	  echo "$$col$$br$$std";					\
1143	fi;								\
1144	$$success || exit 1
1145
1146check-TESTS:
1147	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1148	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1149	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1150	@set +e; $(am__set_TESTS_bases); \
1151	log_list=`for i in $$bases; do echo $$i.log; done`; \
1152	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1153	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1154	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1155	exit $$?;
1156recheck: all
1157	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1158	@set +e; $(am__set_TESTS_bases); \
1159	bases=`for i in $$bases; do echo $$i; done \
1160	         | $(am__list_recheck_tests)` || exit 1; \
1161	log_list=`for i in $$bases; do echo $$i.log; done`; \
1162	log_list=`echo $$log_list`; \
1163	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1164	        am__force_recheck=am--force-recheck \
1165	        TEST_LOGS="$$log_list"; \
1166	exit $$?
1167test-libevdev.log: test-libevdev$(EXEEXT)
1168	@p='test-libevdev$(EXEEXT)'; \
1169	b='test-libevdev'; \
1170	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1171	--log-file $$b.log --trs-file $$b.trs \
1172	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1173	"$$tst" $(AM_TESTS_FD_REDIRECT)
1174test-kernel.log: test-kernel$(EXEEXT)
1175	@p='test-kernel$(EXEEXT)'; \
1176	b='test-kernel'; \
1177	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1178	--log-file $$b.log --trs-file $$b.trs \
1179	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1180	"$$tst" $(AM_TESTS_FD_REDIRECT)
1181test-uinput.log: test-uinput$(EXEEXT)
1182	@p='test-uinput$(EXEEXT)'; \
1183	b='test-uinput'; \
1184	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1185	--log-file $$b.log --trs-file $$b.trs \
1186	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1187	"$$tst" $(AM_TESTS_FD_REDIRECT)
1188test-event-codes.log: test-event-codes$(EXEEXT)
1189	@p='test-event-codes$(EXEEXT)'; \
1190	b='test-event-codes'; \
1191	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1192	--log-file $$b.log --trs-file $$b.trs \
1193	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1194	"$$tst" $(AM_TESTS_FD_REDIRECT)
1195test-libevdev-internals.log: test-libevdev-internals$(EXEEXT)
1196	@p='test-libevdev-internals$(EXEEXT)'; \
1197	b='test-libevdev-internals'; \
1198	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1199	--log-file $$b.log --trs-file $$b.trs \
1200	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1201	"$$tst" $(AM_TESTS_FD_REDIRECT)
1202.test.log:
1203	@p='$<'; \
1204	$(am__set_b); \
1205	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1206	--log-file $$b.log --trs-file $$b.trs \
1207	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1208	"$$tst" $(AM_TESTS_FD_REDIRECT)
1209@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1210@am__EXEEXT_TRUE@	@p='$<'; \
1211@am__EXEEXT_TRUE@	$(am__set_b); \
1212@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1213@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1214@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1215@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1216distdir: $(BUILT_SOURCES)
1217	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1218
1219distdir-am: $(DISTFILES)
1220	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1221	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1222	list='$(DISTFILES)'; \
1223	  dist_files=`for file in $$list; do echo $$file; done | \
1224	  sed -e "s|^$$srcdirstrip/||;t" \
1225	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1226	case $$dist_files in \
1227	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1228			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1229			   sort -u` ;; \
1230	esac; \
1231	for file in $$dist_files; do \
1232	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1233	  if test -d $$d/$$file; then \
1234	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1235	    if test -d "$(distdir)/$$file"; then \
1236	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1237	    fi; \
1238	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1239	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1240	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1241	    fi; \
1242	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1243	  else \
1244	    test -f "$(distdir)/$$file" \
1245	    || cp -p $$d/$$file "$(distdir)/$$file" \
1246	    || exit 1; \
1247	  fi; \
1248	done
1249check-am: all-am
1250	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1251check: check-am
1252all-am: Makefile $(PROGRAMS)
1253installdirs:
1254install: install-am
1255install-exec: install-exec-am
1256install-data: install-data-am
1257uninstall: uninstall-am
1258
1259install-am: all-am
1260	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1261
1262installcheck: installcheck-am
1263install-strip:
1264	if test -z '$(STRIP)'; then \
1265	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1266	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1267	      install; \
1268	else \
1269	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1270	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1271	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1272	fi
1273mostlyclean-generic:
1274	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1275	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1276	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1277
1278clean-generic:
1279	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1280
1281distclean-generic:
1282	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1283	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1284
1285maintainer-clean-generic:
1286	@echo "This command is intended for maintainers to use"
1287	@echo "it deletes files that may require special tools to rebuild."
1288clean: clean-am
1289
1290clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
1291	mostlyclean-am
1292
1293distclean: distclean-am
1294		-rm -f ./$(DEPDIR)/test-common-uinput.Po
1295	-rm -f ./$(DEPDIR)/test-common.Po
1296	-rm -f ./$(DEPDIR)/test-context.Po
1297	-rm -f ./$(DEPDIR)/test-event-codes.Po
1298	-rm -f ./$(DEPDIR)/test-event-names.Po
1299	-rm -f ./$(DEPDIR)/test-int-queue.Po
1300	-rm -f ./$(DEPDIR)/test-libevdev-events.Po
1301	-rm -f ./$(DEPDIR)/test-libevdev-has-event.Po
1302	-rm -f ./$(DEPDIR)/test-libevdev-init.Po
1303	-rm -f ./$(DEPDIR)/test-main.Po
1304	-rm -f ./$(DEPDIR)/test-uinput.Po
1305	-rm -f ./$(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po
1306	-rm -f ./$(DEPDIR)/test_kernel-test-common-uinput.Po
1307	-rm -f ./$(DEPDIR)/test_kernel-test-common.Po
1308	-rm -f ./$(DEPDIR)/test_kernel-test-kernel.Po
1309	-rm -f ./$(DEPDIR)/test_kernel-test-main.Po
1310	-rm -f ./$(DEPDIR)/test_link-test-link.Po
1311	-rm -f ./$(DEPDIR)/test_static_link-test-link.Po
1312	-rm -f Makefile
1313distclean-am: clean-am distclean-compile distclean-generic \
1314	distclean-tags
1315
1316dvi: dvi-am
1317
1318dvi-am:
1319
1320html: html-am
1321
1322html-am:
1323
1324info: info-am
1325
1326info-am:
1327
1328install-data-am:
1329
1330install-dvi: install-dvi-am
1331
1332install-dvi-am:
1333
1334install-exec-am:
1335
1336install-html: install-html-am
1337
1338install-html-am:
1339
1340install-info: install-info-am
1341
1342install-info-am:
1343
1344install-man:
1345
1346install-pdf: install-pdf-am
1347
1348install-pdf-am:
1349
1350install-ps: install-ps-am
1351
1352install-ps-am:
1353
1354installcheck-am:
1355
1356maintainer-clean: maintainer-clean-am
1357		-rm -f ./$(DEPDIR)/test-common-uinput.Po
1358	-rm -f ./$(DEPDIR)/test-common.Po
1359	-rm -f ./$(DEPDIR)/test-context.Po
1360	-rm -f ./$(DEPDIR)/test-event-codes.Po
1361	-rm -f ./$(DEPDIR)/test-event-names.Po
1362	-rm -f ./$(DEPDIR)/test-int-queue.Po
1363	-rm -f ./$(DEPDIR)/test-libevdev-events.Po
1364	-rm -f ./$(DEPDIR)/test-libevdev-has-event.Po
1365	-rm -f ./$(DEPDIR)/test-libevdev-init.Po
1366	-rm -f ./$(DEPDIR)/test-main.Po
1367	-rm -f ./$(DEPDIR)/test-uinput.Po
1368	-rm -f ./$(DEPDIR)/test_compile_pedantic-test-compile-pedantic.Po
1369	-rm -f ./$(DEPDIR)/test_kernel-test-common-uinput.Po
1370	-rm -f ./$(DEPDIR)/test_kernel-test-common.Po
1371	-rm -f ./$(DEPDIR)/test_kernel-test-kernel.Po
1372	-rm -f ./$(DEPDIR)/test_kernel-test-main.Po
1373	-rm -f ./$(DEPDIR)/test_link-test-link.Po
1374	-rm -f ./$(DEPDIR)/test_static_link-test-link.Po
1375	-rm -f Makefile
1376maintainer-clean-am: distclean-am maintainer-clean-generic
1377
1378mostlyclean: mostlyclean-am
1379
1380mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1381	mostlyclean-libtool
1382
1383pdf: pdf-am
1384
1385pdf-am:
1386
1387ps: ps-am
1388
1389ps-am:
1390
1391uninstall-am:
1392
1393.MAKE: check-am install-am install-strip
1394
1395.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1396	check-am check-local clean clean-generic clean-libtool \
1397	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1398	distclean-compile distclean-generic distclean-libtool \
1399	distclean-tags distdir dvi dvi-am html html-am info info-am \
1400	install install-am install-data install-data-am install-dvi \
1401	install-dvi-am install-exec install-exec-am install-html \
1402	install-html-am install-info install-info-am install-man \
1403	install-pdf install-pdf-am install-ps install-ps-am \
1404	install-strip installcheck installcheck-am installdirs \
1405	maintainer-clean maintainer-clean-generic mostlyclean \
1406	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1407	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1408	uninstall-am
1409
1410.PRECIOUS: Makefile
1411
1412
1413@ENABLE_RUNTIME_TESTS_TRUE@.NOTPARALLEL:
1414
1415@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@valgrind:
1416@ENABLE_RUNTIME_TESTS_TRUE@@HAVE_VALGRIND_TRUE@	        $(MAKE) check-TESTS CK_TIMEOUT_MULTIPLIER=10 LOG_COMPILER="$(VALGRIND)" LOG_FLAGS="$(VALGRIND_FLAGS)"
1417
1418@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@gcov-report: generate-gcov-report.sh check-TESTS
1419@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@	$(AM_V_GEN)$(srcdir)/generate-gcov-report.sh gcov-reports $(top_builddir)/libevdev $(builddir)
1420
1421@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@gcov: gcov-report
1422@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_TRUE@	@cat gcov-reports/summary.txt
1423
1424@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_FALSE@gcov-report.txt:
1425@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_FALSE@	@true
1426
1427@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_FALSE@gcov:
1428@ENABLE_RUNTIME_TESTS_TRUE@@GCOV_ENABLED_FALSE@	@true
1429
1430@ENABLE_RUNTIME_TESTS_TRUE@.PHONY: gcov gcov-clean gcov-report
1431
1432@ENABLE_STATIC_SYMBOL_LEAKS_TEST_TRUE@static-symbol-leaks: test-static-link test-static-symbols-leak.sh
1433@ENABLE_STATIC_SYMBOL_LEAKS_TEST_TRUE@	$(AM_V_GEN) $(srcdir)/test-static-symbols-leak.sh $(builddir)
1434
1435check-local: $(check_local_deps)
1436
1437# Tell versions [3.59,3.63) of GNU make to not export all variables.
1438# Otherwise a system limit (for SysV at least) may be exceeded.
1439.NOEXPORT:
1440